Bug 1308297 - f23 -> f24: 'dnf update dnf' omits libsolv
f23 -> f24: 'dnf update dnf' omits libsolv
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 23:27 EST by Felix Miata
Modified: 2016-04-25 05:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 08:25:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Miata 2016-02-13 23:27:47 EST
Mailing list thread:
https://lists.fedoraproject.org/archives/list/test@lists.fedoraproject.org/thread/DKZ7UC2UXUT3IIJQ54NVU433JC2ASYGF/

To reproduce on F23 freshly updated:
1-follow https://fedoraproject.org/wiki/Upgrading_Fedora_using_dnf procedure:
	# dnf install fedora-repos-rawhide
	# dnf config-manager --set-disabled fedora updates
	# dnf config-manager --set-enabled rawhide
	# dnf update dnf
	# dnf update kdm

Actual result:
Traceback (most recent call last):
  File "/usr/bin/dnf", line 56, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.5/site-packages/dnf/__init__.py", line 31, in <module>
    import dnf.base
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 29, in <module>
    from dnf.yum import history
  File "/usr/lib/python3.5/site-packages/dnf/yum/history.py", line 22, in
<module>
    import hawkey
  File "/usr/lib/python3.5/site-packages/hawkey/__init__.py", line 24, in
<module>
    from . import _hawkey
ImportError: /lib/libhawkey.so.2: symbol solv_extend_realloc, version
SOLV_1.0 not defined in file libsolv.so.0 with link time reference

Expected result:
kdm updated

Workarounds:
1-restore and try again using 'dnf update dnf libsolv' (worked on i686 host gx260 yesterday)
2-download libsolv manually and install with rpm (worked today on i686 host kt88b)
Comment 1 Honza Silhan 2016-02-15 08:25:40 EST
Can you post `rpm -q hawkey libsolv dnf` for broken combination and when everything works fine? If you do downgrade libsolv/dnf, is it broken again?
Comment 2 Felix Miata 2016-02-15 19:28:49 EST
Downgrade:
A procedure I've never attempted, nor seen explanation how to do.

Before:
(A lot of work to setup/discover):
# rpm -q hawkey libsolv dnf
hawkey-0.6.2-3.fc23.i686
libsolv-0.6.14-7.fc23.i686
dnf-1.1.6-2.fc23.noarch
# dnf install fedora-repos-rawhide
# dnf config-manager --set-disabled fedora updates
# dnf config-manager --set-enabled rawhide
# dnf update dnf
Complete!
# dnf update kdm
Traceback (most recent call last):
  File "/usr/bin/dnf", line 56, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.5/site-packages/dnf/__init__.py", line 31, in <module>
    import dnf.base
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 29, in <module>
    from dnf.yum import history
  File "/usr/lib/python3.5/site-packages/dnf/yum/history.py", line 22, in
<module>
    import hawkey
  File "/usr/lib/python3.5/site-packages/hawkey/__init__.py", line 24, in
<module>
    from . import _hawkey
ImportError: /lib/libhawkey.so.2: symbol solv_extend_realloc, version SOLV_1.0 not defined in file libsolv.so.0 with link time reference
# rpm -q hawkey libsolv dnf
hawkey-0.6.2-4.fc24.i686
libsolv-0.6.14-7.fc23.i686
dnf-1.1.6-2.fc24.noarch

After completing repairs:
hawkey-0.6.2-4.fc24.i686
libsolv-0.6.15-6.fc24.i686
dnf-1.1.6-2.fc24.noarch


Why isn't package installation and removal logged to disk (like zypper does by default automatically)?
Comment 3 Honza Silhan 2016-02-22 07:22:17 EST
we can release newer version of libsolv and rebuild a hawkey for f22, f23 and rawhide if it can fix the issue.
Comment 4 Felix Miata 2016-02-24 01:21:26 EST
Essentially the same thing happens trying to update an i686 Rawhide that hadn't been updated for 2 or 3 months.
Comment 5 Jan Kurik 2016-02-24 10:20:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Richard W.M. Jones 2016-02-28 16:28:00 EST
I have the same problem, but on armv7hl.
Comment 7 Jaroslav Mracek 2016-03-02 08:25:50 EST
We have found that documented upgrade procedure on the page https://fedoraproject.org/wiki/Upgrading_Fedora_using_dnf is not properer one (we marked the page for deletion). We recommend to use a description from https://fedoraproject.org/wiki/Upgrading_Fedora_using_package_manager or more preferably to use the system-update plugin. We apologize for your problem, but it is impassible to follow and keep updated all wiki pages, that can be created by anyone and anytime. 

I am going to close this bud, but feel free to reopen it if description on pages that we recommend fails.
Comment 8 Felix Miata 2016-04-25 05:11:56 EDT
(In reply to Jaroslav Mracek from comment #7)
> preferably to use the system-update plugin.

Bug 1032541 blocks the system-upgrade method on https://fedoraproject.org/wiki/DNF_system_upgrade from being used for F23->F24. Using the comment 0 method allows to update blocks of packages in order to not exhaust freespace with rpms waiting to be installed. Nothing at all can get installed, so libsolv not being installed would be subsumed by the bigger obstacle, negating any point in reopening this before the blocker gets fixed.

Note You need to log in before you can comment on or make changes to this bug.